import React, { useEffect, useState } from "react";

const CountdownTimer = ({ otherwise, targetTime }) => {
    const calculateTimeLeft = () => {
        const now = new Date();
        const difference = targetTime - now.getTime();
        let timeLeft = { hours: 0, minutes: 0 };

        if (difference > 0) {
            timeLeft = {
                hours: Math.floor(difference / (1000 * 60 * 60)),
                minutes: Math.floor((difference % (1000 * 60 * 60)) / (1000 * 60)),
                seconds: Math.floor(difference % (1000 * 60) / 1000),
            };
        }

        return timeLeft;
    };

    const [timeLeft, setTimeLeft] = useState(calculateTimeLeft());

    useEffect(() => {
        const timer = setTimeout(() => {
            setTimeLeft(calculateTimeLeft());
        }, 1000);

        return () => clearTimeout(timer);
    });

    return (
        <>
            {timeLeft.hours > 0 || timeLeft.minutes > 0 || timeLeft.seconds > 0 ? (
                <>in {timeLeft.hours} hrs, {timeLeft.minutes} mins, {timeLeft.seconds} secs</>
            ) : (
                <>{otherwise}</>
            )}
        </>
    );
};

export default CountdownTimer;
