import { Box, Grid } from "@mui/material";
import { Children } from "react";

const MetricCollection = ({ children }) => {
    // Based on Number of Children, determine each rows grid width
    const numOfMetrics = Children.count(children);
    let numPerRow = (12 / numOfMetrics);
    if (numOfMetrics > 3) {
        numPerRow = 4;
    }
    return (
        <Box display="flex" flexWrap="wrap" justifyContent="space-between" alignItems={{ xs: "left", sm: "center" }}>
            <Grid container spacing={2} alignItems="flex-end">
                {Children.map(children, child => (
                    <Grid item xs={12} sm={numPerRow}>
                        {child}
                    </Grid>
                ))}
            </Grid>
        </Box>
    );
};
export default MetricCollection;
